﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Orchard.ContentManagement.Handlers;
using Orchard.Data;
using Rework.SocialMetadata.Models;

namespace Rework.SocialMetadata.Handlers {
    public class SocialMetadataPartHandler : ContentHandler {

        public SocialMetadataPartHandler(IRepository<SocialMetadataPartRecord> socialMetadataRepository) {
            Filters.Add(StorageFilter.For(socialMetadataRepository));
        }

    }
}